Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Private Attributes
ArgusSamples::AppModuleMultiExposure Class Reference

The multi exposure app module adds functionality to capture multiple streams with different exposure compensation values. More...

`#include <AppModuleMultiExposure.h>`

Inheritance diagram for ArgusSamples::AppModuleMultiExposure:

List of all members.

## Public Member Functions
| AppModuleMultiExposure ()
virtual | ~AppModuleMultiExposure ()
IAppModule methods
virtual bool | initialize (Options &options)
| Initialize.
virtual bool | shutdown ()
| Shut down.
virtual bool | start (Window::IGuiMenuBar *iGuiMenuBar=NULL, Window::IGuiContainer *iGuiContainerConfig=NULL)
| Start the module.
virtual bool | stop ()
| Stop the module.
Public Member Functions inherited from ArgusSamples::IAppModule
| IAppModule ()
virtual | ~IAppModule ()

## Private Attributes
bool | m_initialized
| set if initialized
bool | m_running
| set if running
TaskMultiExposure | m_multiExposure
| multi exposure task
Window::IGuiContainer * | m_guiContainerConfig
| configuration GUI container
Window::IGuiContainerGrid * | m_guiConfig
| configuration GUI

## Detailed Description

The multi exposure app module adds functionality to capture multiple streams with different exposure compensation values.

Definition at line 42 of file AppModuleMultiExposure.h.

## Constructor & Destructor Documentation

ArgusSamples::AppModuleMultiExposure::AppModuleMultiExposure | ( |  | ) |

Definition at line 36 of file AppModuleMultiExposure.cpp.

ArgusSamples::AppModuleMultiExposure::~AppModuleMultiExposure | ( |  | ) |
| virtual

Definition at line 44 of file AppModuleMultiExposure.cpp.

## Member Function Documentation

bool ArgusSamples::AppModuleMultiExposure::initialize | ( | Options & | options | ) |
| virtual

Initialize.

Parameters:

  [in] | options | each app module can add options

Implements ArgusSamples::IAppModule.

Definition at line 49 of file AppModuleMultiExposure.cpp.

bool ArgusSamples::AppModuleMultiExposure::shutdown | ( |  | ) |
| virtual

Shut down.

Implements ArgusSamples::IAppModule.

Definition at line 68 of file AppModuleMultiExposure.cpp.

bool ArgusSamples::AppModuleMultiExposure::start | ( | Window::IGuiMenuBar * | iGuiMenuBar = `NULL`,
|  | Window::IGuiContainer * | iGuiContainerConfig = `NULL`
| ) |  |
| virtual

Start the module.

Parameters:

  [in] | iGuiMenuBar | optional, the module can add menu items to this menu bar
  [in] | iGuiContainerConfig | optional, the module can add configuration options to this container

Implements ArgusSamples::IAppModule.

Definition at line 87 of file AppModuleMultiExposure.cpp.

bool ArgusSamples::AppModuleMultiExposure::stop | ( |  | ) |
| virtual

Stop the module.

Implements ArgusSamples::IAppModule.

Definition at line 129 of file AppModuleMultiExposure.cpp.

## Member Data Documentation

Window::IGuiContainerGrid* ArgusSamples::AppModuleMultiExposure::m_guiConfig
| private

configuration GUI

Definition at line 63 of file AppModuleMultiExposure.h.

Window::IGuiContainer* ArgusSamples::AppModuleMultiExposure::m_guiContainerConfig
| private

configuration GUI container

Definition at line 62 of file AppModuleMultiExposure.h.

bool ArgusSamples::AppModuleMultiExposure::m_initialized
| private

set if initialized

Definition at line 58 of file AppModuleMultiExposure.h.

TaskMultiExposure ArgusSamples::AppModuleMultiExposure::m_multiExposure
| private

multi exposure task

Definition at line 60 of file AppModuleMultiExposure.h.

bool ArgusSamples::AppModuleMultiExposure::m_running
| private

set if running

Definition at line 59 of file AppModuleMultiExposure.h.

The documentation for this class was generated from the following files:

- ui/multiExposure/AppModuleMultiExposure.h
- ui/multiExposure/AppModuleMultiExposure.cpp